import http from '../utils/http'

// 获取侧边菜单栏
export const apiGetResultRecordList = params => {
  return http({url: '/lz_management/user/lzresultrecord/list', method: 'get', params})
}

export const departmentQuery = params => {
  return http({url: '/lz_management/user/lzresultrecord/departmentQuery', method: 'get', params})
}

export const getStaffResultDetail = params => {
  return http({url: '/lz_management/user/lzresultrecord/getStaffResultDetail', method: 'get', params})
}

export const apiDetailInfo = params => {
  return http({url: '/lz_management/user/lzresultrecord/detail/' + params, method: 'post'})
}

export const recorddetailAddOrUpdate = params => {
  return http({url: '/lz_management/user/lzresultrecord/detailAddOrUpdate', method: 'post', params})
}

export const recorddetailDelete = params => {
  return http({url: '/lz_management/user/lzresultrecord/recorddetailDelete/' + params, method: 'post'})
}

export const weightCheck = params => {
  return http({url: '/lz_management/user/lzresultrecord/weightCheck', method: 'post', params})
}

export const commitApproval = params => {
  return http({url: '/lz_management/user/lzresultrecord/commitApproval', method: 'get', params})
}

export const getResultComment = params => {
  return http({url: '/lz_management/user/lzresultrecord/getResultComment/' + params, method: 'post'})
}

export const recordIdsSubmit = params => {
  return http({url: '/lz_management/user/lzresultrecord/recordIdsSubmit', method: 'post', params})
}

// 获取侧边菜单栏
export const getUploadFileList = params => {
  return http({url: '/lz_management/user/lzresultrecord/getUploadFileList', method: 'get', params})
}

// 获取侧边菜单栏
export const deleteFile = params => {
  return http({url: '/lz_management/user/lzresultrecord/deleteFile', method: 'get', params})
}

export const downZip = params => {
  return http({url: '/lz_management/file/downZip?ids=' + params, method: 'get'})
}

// 获取侧边菜单栏
export const deleteRecord = params => {
  return http({url: '/lz_management/user/lzresultrecord/deleteRecord', method: 'get', params})
}

export const preWeightCheck = params => {
  return http({url: '/lz_management/user/lzresultrecord/preWeightCheck', method: 'post', params})
}
